Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Attributes | List of all members
GhostInfo Struct Reference

`#include <netConnection.h>`

## Public Types
enum | Flags { Valid = BIT(0), InScope = BIT(1), ScopeAlways = BIT(2), NotYetGhosted = BIT(3), Ghosting = BIT(4), KillGhost = BIT(5), KillingGhost = BIT(6), ScopedEvent = BIT(7), ScopeLocalAlways = BIT(8) }
| Flags relating to the state of the object. More...

## Public Attributes
NetObject * | obj
| The object being ghosted. More...
U32 | updateMask
| Flags indicating what state data needs to be transferred. More...
U32 | updateSkipCount
| How many updates have we skipped this guy? More...
U32 | flags
| Flags from GhostInfo::Flags. More...
F32 | priority
U32 | index
| implementation. More...
U32 | arrayIndex
References
updates. The GhostInfo structure is used in several linked lists; these members are the implementation for this.
NetConnection::GhostRef * | updateChain
| List of references in NetConnections to us. More...
GhostInfo * | nextObjectRef
| Next ghosted object. More...
GhostInfo * | prevObjectRef
| Previous ghosted object. More...
NetConnection * | connection
| Connection that we're ghosting over. More...
GhostInfo * | nextLookupInfo

## Detailed Description

Information about a ghosted object.

Note
  If the size of this structure changes, the NetConnection::getGhostIndex function MUST be changed to reflect the new size.

## Member Enumeration Documentation

enum Flags

Flags relating to the state of the object.

Enumerator
Valid |
InScope |
ScopeAlways |
NotYetGhosted |
Ghosting |
KillGhost |
KillingGhost |
ScopedEvent |
ScopeLocalAlways |

## Member Data Documentation

U32 arrayIndex

NetConnection* connection

Connection that we're ghosting over.

U32 flags

Flags from GhostInfo::Flags.

U32 index

implementation.

GhostInfo* nextLookupInfo

GhostInfo references are stored in a hash; this is the bucket

GhostInfo* nextObjectRef

Next ghosted object.

NetObject* obj

The object being ghosted.

GhostInfo* prevObjectRef

Previous ghosted object.

F32 priority

A float value indicating the priority of this object for

NetConnection::GhostRef* updateChain

List of references in NetConnections to us.

U32 updateMask

Flags indicating what state data needs to be transferred.

U32 updateSkipCount

How many updates have we skipped this guy?

The documentation for this struct was generated from the following file:

- network/netConnection.h